> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/containers/private-container-registry/api-howtos/delete_token.md).

# Delete Token

To delete your token, the `registryId` and `tokenId` to be deleted must be provided.

You can get registryId through [<mark style="color:blue;">GET Registries API call</mark>](/cloud/containers/private-container-registry/api-howtos/registries.md) and [<mark style="color:blue;">Create Registry Token</mark>](/cloud/containers/private-container-registry/api-howtos/create_token.md).

Delete the information about the token using the following `curl` command:

{% hint style="info" %}
**Note:** The sample `requestID` is `779f8e3c-d5c8-4359-8f85-c200fb89e97c` and the sample `tokenID` is `4b120b87-91ab-4ec2-8952-cc771a37bd08`.
{% endhint %}

## Request

```bash
curl --location \
--request DELETE 'https://api.ionos.com/containerregistries/registries/779f8e3c-d5c8-4359-8f85-c200fb89e97c/tokens/b120b87-91ab-4ec2-8952-cc771a37bd08' \
--header 'Authorization: Bearer ${TOKEN}' \
--data-raw ''
```

### Path parameters

| **Field**      | **Type** |                 **Description**                | **Example**                            |
| -------------- | :------: | :--------------------------------------------: | -------------------------------------- |
| **registryId** |  string  |      The ID of the registry to be deleted.     | `779f8e3c-d5c8-4359-8f85-c200fb89e97c` |
| **tokenId**    |  string  | TThe associated ID of the token to be deleted. | `4b120b87-91ab-4ec2-8952-cc771a37bd08` |

## Response

**204 - No Content**

The action was successful and the response body is empty.

**400 Bad Request - The request made is invalid or corrupted**

```json
{
 "httpStatus": 400,
 "messages": [
   {
     "errorCode": "123",
     "message": "ad velit dolor dolore laboris"
   },
   {
     "errorCode": "123",
     "message": "tempor"
   }
 ]
}
```

**404 Bad Request - Not Found**

```json
{
   "msg": "Not Found"
}
```

This way you can delete a particular token.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/cloud/containers/private-container-registry/api-howtos/delete_token.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
